pandoc-3.7.0.2: Conversion between markup formats

Copyright | Copyright (C) 2006-2024 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Writers.RST

Description

Conversion of `Pandoc` documents to reStructuredText.

reStructuredText: http://docutils.sourceforge.net/rst.html

Synopsis

- writeRST :: PandocMonad m => WriterOptions -> Pandoc -> m Text
- flatten :: Inline -> [Inline]

# Documentation

writeRST :: PandocMonad m => WriterOptions -> Pandoc -> m Text Source #

Convert Pandoc to RST.

flatten :: Inline -> [Inline] Source #

Flattens nested inlines. Extracts nested inlines and goes through them either collapsing them in the outer inline container or pulling them out of it